Overview | Package | Class | Use | Tree | Index | Help
| Java Debug Interface
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jdi.connect.spi
Class TransportService.ListenKey

    java.lang.Object
      com.sun.jdi.connect.spi.TransportService.ListenKey

Enclosing class:
  TransportService

    public abstract static class TransportService.ListenKey

extends Object

A listen key.

A `TransportService` may listen on multiple, yet different, addresses at the same time. To uniquely identify each `listener` a listen key is created each time that `startListening` is called. The listen key is used in calls to the `accept` method to accept inbound connections to that listener. A listen key is valid until it is used as an argument to `stopListening` to stop the transport service from listening on an address.

Constructor Summary
`TransportService.ListenKey()`

Method Summary
`abstract String` | `address()` Returns a string representation of the listen key.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransportService.ListenKey

    public TransportService.ListenKey()

Method Detail

### address

    public abstract String address()

  Returns a string representation of the listen key.

Overview | Package | Class | Use | Tree | Index | Help
| Java Debug Interface
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD